syslog spammed with cpu_up/cpu_down messages after upgrade to linux-nexus7 3.1.10-9.24

Bug #1113396 reported by Jean-Baptiste Lallement on 2013-02-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-nexus7
Undecided
Unassigned
linux-nexus7 (Ubuntu)
Medium
Andy Whitcroft

Bug Description

Since upgrade to linux-nexus7 3.1.10-9.24 syslog is spammed every 2s with cpu_down/cpu_up messages similar to:
- - -
[ 6645.006685] cpu_up(1)+
[ 6645.027648] tegra CPU: force EDP limit 1200000 kHz
[ 6645.028058] CPU1: Booted secondary processor
[ 6645.036693] Switched to NOHz mode on CPU #1
[ 6645.037221] cpu_up(1)-
[ 6647.306787] cpu_down(1)+
[ 6647.308570] stop_machine_cpu_stop smp=0
[ 6647.308594] stop_machine_cpu_stop smp=1
[ 6647.319999] CPU1: shutdown
[ 6647.326307] cpu_down(1)-
- - -

The attachment nexus7_dist-upgrade_20130131-085759.log contains the list of packages that have been upgraded at the same time.

I don't see any side-effect apart from these messages.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.1.10-9-nexus7 3.1.10-9.25
Uname: Linux 3.1.10-9-nexus7 armv7l
ApportVersion: 2.8-0ubuntu4
Architecture: armhf
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1528 F.... pulseaudio
CrashDB:
 {"impl": "launchpad",
                             "project": "ubuntu-nexus7",
                             "bug_pattern_url": "http://people.canonical.com/~ubuntu-archive/bugpatterns/bugpatterns.xml",
                           }
Date: Sat Feb 2 12:40:28 2013
HibernationDevice: RESUME=UUID=fe4e07b0-9531-4fae-9b3f-c20e12bd9ed7
InstallationDate: Installed on 2012-12-07 (56 days ago)
InstallationMedia: Ubuntu Raring Ringtail (development branch) - armhf (20121207-15:18)
Lspci:

Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MarkForUpload: True
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 tegra_fb
 1 tegra_fb
ProcKernelCmdLine: tegra_wdt.heartbeat=30 tegraid=30.1.3.0.0 mem=1022M@2048M android.commchip=0 vmalloc=128M androidboot.serialno=015d172c7308140c video=tegrafb no_console_suspend=1 console=none debug_uartport=hsport usbcore.old_scheme_first=1 lp0_vec=8192@0xbddf9000 tegra_fbmem=8195200@0xabe01000 core_edp_mv=0 audio_codec=rt5640 board_info=f41:a00:1:44:2 tegraboot=sdmmc gpt gpt_sector=30535679 androidboot.bootloader=3.34 root=/dev/mmcblk0p9 ro console=tty0 fbcon=rotate:1 access=m2 quiet splash
ProcModules: zram 8348 4 - Live 0x00000000 (C)
RelatedPackageVersions:
 linux-restricted-modules-3.1.10-9-nexus7 N/A
 linux-backports-modules-3.1.10-9-nexus7 N/A
 linux-firmware 1.100
SourcePackage: linux-nexus7
StagingDrivers: zram
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
summary: - syslog spammed with cpu_up/cpu_down message after upgrade to linux-
+ syslog spammed with cpu_up/cpu_down messages after upgrade to linux-
nexus7 3.1.10-9.24
Oliver Grawert (ogra) wrote :

this is a "feature" of the interactive cpufreq governor (using it is the only way to get the system load below 1 and it also buys us a significant amount of battery life so we wont go back) ...

probably the kernel team could quieten it a bit with a patch ...

Changed in linux-nexus7 (Ubuntu):
importance: Undecided → Wishlist
Jean-Baptiste Lallement (jibel) wrote :

ok, but log files size increased significantly:
Uncompressed size before the change:
- syslog: 264kB (per day)
- kern.log: 213kB (for 6 days)

Uncompressed size after the change:
- syslog: 14758kB (for 1 day)
- kern.log: 18387kB (for 1 day)

Even compressed the disk space occupied by these logs is significant. On a device with an 8GB root partition, kernel logs and syslogs alone use 1% of disk space and growing.

Andy Whitcroft (apw) on 2013-02-04
Changed in ubuntu-nexus7:
status: New → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

As this is spamming the logs and we don't have a great deal of space for them, we probably should do something to quiet this.

Changed in ubuntu-nexus7:
status: In Progress → New
assignee: Andy Whitcroft (apw) → nobody
Changed in linux-nexus7 (Ubuntu):
status: New → In Progress
assignee: nobody → Andy Whitcroft (apw)
importance: Wishlist → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-nexus7 - 3.1.10-9.26

---------------
linux-nexus7 (3.1.10-9.26) raring; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: (no-up) quiet down stop_machine when running normally
    - LP: #1113396
  * SAUCE: cpu-tegra3: reduce noise waking and sleeping CPUs
    - LP: #1113396
  * SAUCE: (no-up) quiet CPU start/stop when system running normally
    - LP: #1113396
  * SAUCE: tegra -- quiet cpu start messages when system running normally
    - LP: #1113396

  [ Upstream Kernel Changes ]

  * ASoC: Disable "Register Control" for RT5640
    - LP: #1068804
 -- Andy Whitcroft <email address hidden> Mon, 04 Feb 2013 20:18:24 +0000

Changed in linux-nexus7 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers